-- YGREC8/VHDL/TAP/MUX64/MUX64_behavioral.vhdl
-- created mar. juil. 21 21:07:06 CEST 2020 by whygee@f-cpu.org
--
-- Released under the GNU AGPLv3 license
--
-- This is a trivial MUX64 that uses the standard VHDL idiom.
-- Only useful for high-level simulations.

Library ieee;
    use ieee.std_logic_1164.all;
Library SLV;
    use SLV.SLV_def.all;
Library conversions;
    use conversions.conversions.all;

entity MUX64 is
  port(
    leaves : in SLV64;
    CTRL : in SLV6;
    root : out SL);
end MUX64;

architecture behavioral of MUX64 is
begin
  root <= leaves(safe_to_integer(CTRL)); -- what else ?
end behavioral;

