# YGREC8/VHDL/TAP/Selector/test.sh
# version ven. août 21 03:31:03 CEST 2020 CEST 2020

#PA3="-P../../gates/simple -P../../shared"
PA3="-P../../gates -P../../shared"

function run_test() {
  # arg.1 : file/version
  # arg.2 : message
  rm -f test_selector work-obj93.cf *.o
  ghdl -a $PA3 ../Gray6s/Gray6s_behavioral.vhdl $1 test_Selector.vhdl &&
  ghdl -e $PA3 test_Selector &&
  ./test_selector &&
  echo Selector $2 : OK
}

run_test Selector_behav.vhdl "behavioral" &&
run_test Selector_tiles.vhdl "  Tiles   " &&

echo $'\e[32m'" * Selector : OK ! *"$'\e[0m'
