-- file Y8/shared/int2hexstr_tb.vhdl
-- created dim. nov. 14 17:25:59 CET 2021 by Yann Guidon whygee@f-cpu.org
--
-- ghdl -a $VER $PA3 int2hexstr_tb.vhdl &&
-- ghdl -e  $PA3 int2hexstr_tb &&
-- ./int2hexstr_tb > int2hexstr_tb.log

Library conversions;
    use conversions.conversions.all;

entity int2hexstr_tb is
end int2hexstr_tb;

architecture tb of int2hexstr_tb is
begin

  bench: process
    constant value : integer := 11259375; -- ABCDEF
    variable i, j  : integer := 0;

  begin
    for j in 1 to 8 loop
      report "* min=" & integer'image(j) & ":";
      for i in 1 to 8 loop
        report "'" & int2hexstr(value, i, j) & "'";
      end loop;
    end loop;
    wait;
  end process;

end tb;

