#!/bin/bash
# version dim. mars 29 07:10:07 CEST 2020 : less verbose

PA3="-P../gates -P../shared"
rm -f *.o *.cf test_fsm
ghdl -a $PA3 FSM_rtl.vhdl test_FSM.vhdl &&
ghdl -e $PA3 test_FSM &&
if ./test_fsm | grep -v '(report note):' ; then
  echo $'\e[91m'"Test FSM : BORK !"$'\e[0m'
  false
else
  echo $'\e[32m'"Test FSM OK !"$'\e[0m'
  rm -f *.o *.cf test_fsm FSM.log
fi
