# YGREC8/VHDL/TAP/Gray6s/test.sh
# version dim. août 16 06:48:32 CEST 2020

PA3="-P../../gates -P../../shared"

function run_test() {
  # arg.1 : file/version
  # arg.2 : message
  rm -f test_gray6s work-obj93.cf *.o
  ghdl -a $PA3 $1 test_Gray6s.vhdl &&
  ghdl -e $PA3 test_Gray6s &&
  ./test_gray6s &&
  echo Gray6s $2 : OK
}

run_test Gray6s_behavioral.vhdl "behavioral" &&
run_test Gray6s_tiles.vhdl      "  Tiles   " &&
echo $'\e[32m'" * Gray6s : OK ! *"$'\e[0m'
