-- file: shared/SLV_def.vhdl
--
-- created lun. nov. 13 01:02:38 CET 2017 by Yann Guidon (whygee@f-cpu.org)
-- version dim. nov. 19 03:49:07 CET 2017 : added Num_to_int
-- version lun. déc.  2 23:49:03 CET 2019 : forked from YGREC8/YGREC8_utils.vhdl
-- version 20200806 : synthesis with Synplify
-- version dim. nov. 14 05:02:58 CET 2021 : spun off from proasic3v3/SLV_utils.vhdl
-- 
-- Released under the GNU AGPLv3 license
--
-- These are some ridiculously simple yet very convenient
-- wrappers of Std_Logic_Vector, don't blame me !
--
-- SYNTHESIS OK

Library ieee;
    use ieee.std_logic_1164.all;

package SLV_def is
  subtype SL     is std_logic;
  subtype SLV2   is std_logic_vector( 1 downto 0);
  subtype SLV3   is std_logic_vector( 2 downto 0);
  subtype SLV4   is std_logic_vector( 3 downto 0);
  subtype SLV5   is std_logic_vector( 4 downto 0);
  subtype SLV6   is std_logic_vector( 5 downto 0);
  subtype SLV7   is std_logic_vector( 6 downto 0);
  subtype SLV8   is std_logic_vector( 7 downto 0);
  subtype SLV9   is std_logic_vector( 8 downto 0);
  subtype SLV10  is std_logic_vector( 9 downto 0);
  subtype SLV16  is std_logic_vector(15 downto 0);
  subtype SLV17  is std_logic_vector(16 downto 0);
  subtype SLV32  is std_logic_vector(31 downto 0);
  subtype SLV64  is std_logic_vector(63 downto 0);
end SLV_def;

--package body SLV_def is
  -- empty
--end SLV_def;
